Get a Quick Agent Action job
curl --request GET \
--url https://api.lumisreach.com/api/v1/quick/actions/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lumisreach.com/api/v1/quick/actions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lumisreach.com/api/v1/quick/actions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "<string>",
"status": "<string>",
"goal": "<string>",
"from_number": "<string>",
"config": {},
"targets": [
{
"to_number": "<string>",
"from_number": "<string>",
"status": "<string>",
"live_call_status": "<string>",
"attempts": 123,
"last_attempt_at": "<string>",
"last_call_id": "<string>",
"messages_sent": 123,
"messages_received": 123,
"goal_achieved": true,
"end_reason": "<string>",
"summary": "<string>"
}
],
"counts": {
"total": 123,
"pending": 123,
"in_progress": 123,
"completed": 123,
"no_answer": 123,
"failed": 123,
"opted_out": 123,
"canceled": 123
},
"created_at": "<string>",
"completed_at": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}Quick Agent Actions
Get a Quick Agent Action job
Per-number progress for a Quick AI Phone Call or Quick AI Text job: attempt counts, live call state, messages exchanged, whether the goal was met, and why each target stopped.
GET
/
v1
/
quick
/
actions
/
{id}
Get a Quick Agent Action job
